/*
 * Teni-IME - A Vietnamese Input method editor
 * Copyright (C) 2018 Nguyen Cong Hoang <hoangnc.jp@gmail.com>
 * This file is part of Teni-IME.
 *
 *  Teni-IME is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Teni-IME is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Teni-IME.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package teni

var toneCharset = map[rune]bool{
	'á': true,
	'à': true,
	'ả': true,
	'ã': true,
	'ạ': true,
	'ă': true,
	'ắ': true,
	'ằ': true,
	'ẳ': true,
	'ẵ': true,
	'ặ': true,
	'â': true,
	'ấ': true,
	'ầ': true,
	'ẩ': true,
	'ẫ': true,
	'ậ': true,
	'é': true,
	'è': true,
	'ẻ': true,
	'ẽ': true,
	'ẹ': true,
	'ê': true,
	'ế': true,
	'ề': true,
	'ể': true,
	'ễ': true,
	'ệ': true,
	'í': true,
	'ì': true,
	'ỉ': true,
	'ĩ': true,
	'ị': true,
	'ó': true,
	'ò': true,
	'ỏ': true,
	'õ': true,
	'ọ': true,
	'ô': true,
	'ố': true,
	'ồ': true,
	'ổ': true,
	'ỗ': true,
	'ộ': true,
	'ơ': true,
	'ớ': true,
	'ờ': true,
	'ở': true,
	'ỡ': true,
	'ợ': true,
	'ú': true,
	'ù': true,
	'ủ': true,
	'ũ': true,
	'ụ': true,
	'ư': true,
	'ứ': true,
	'ừ': true,
	'ử': true,
	'ữ': true,
	'ự': true,
	'ý': true,
	'ỳ': true,
	'ỷ': true,
	'ỹ': true,
	'ỵ': true,
	'đ': true,

	'Á': true,
	'À': true,
	'Ả': true,
	'Ã': true,
	'Ạ': true,
	'Ă': true,
	'Ắ': true,
	'Ằ': true,
	'Ẳ': true,
	'Ẵ': true,
	'Ặ': true,
	'Â': true,
	'Ấ': true,
	'Ầ': true,
	'Ẩ': true,
	'Ẫ': true,
	'Ậ': true,
	'É': true,
	'È': true,
	'Ẻ': true,
	'Ẽ': true,
	'Ẹ': true,
	'Ê': true,
	'Ế': true,
	'Ề': true,
	'Ể': true,
	'Ễ': true,
	'Ệ': true,
	'Í': true,
	'Ì': true,
	'Ỉ': true,
	'Ĩ': true,
	'Ị': true,
	'Ó': true,
	'Ò': true,
	'Ỏ': true,
	'Õ': true,
	'Ọ': true,
	'Ô': true,
	'Ố': true,
	'Ồ': true,
	'Ổ': true,
	'Ỗ': true,
	'Ộ': true,
	'Ơ': true,
	'Ớ': true,
	'Ờ': true,
	'Ở': true,
	'Ỡ': true,
	'Ợ': true,
	'Ú': true,
	'Ù': true,
	'Ủ': true,
	'Ũ': true,
	'Ụ': true,
	'Ư': true,
	'Ứ': true,
	'Ừ': true,
	'Ử': true,
	'Ữ': true,
	'Ự': true,
	'Ý': true,
	'Ỳ': true,
	'Ỷ': true,
	'Ỹ': true,
	'Ỵ': true,
	'Đ': true,
}
